import os
import c4d
from c4d import storage
from c4d import documents
# 4DRENALIN - Quick File Reanimation by synesthetic.de

def main():
    app= c4d.storage.GeGetStartupWritePath()
    rDir= os.path.join(app, '_bugreports')
    scenes = None
    try:
        scenes= os.listdir(rDir)
    except:
        print "An error occured while reading directory '_bugreports'"
        return
    recovery= []
    t= 0
    for file in scenes:
        if file.split('.')[-1] == 'c4d':
            t_= os.path.getctime(os.path.join(rDir, file))
            if t_ >= t-120:
                t= t_
                recovery.append(file)
    if len(recovery) == 0:
        print "No recovery files found."
        return
    for rFile in recovery:
        t_= os.path.getctime(os.path.join(rDir, rFile))
        if t_ >= t-120:
            if c4d.documents.LoadFile(os.path.join(rDir, rFile)):
                doc= c4d.documents.GetActiveDocument()
                doc.SetDocumentName(rFile.split('_',4)[4])
                print "recovery file loaded: ", doc.GetDocumentName()
                c4d.EventAdd()
            else:
                print "An error occured while reading the file."
    
if __name__=='__main__':
    main()